# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'elasticmusic/version'

Gem::Specification.new do |spec|
  spec.name          = "elasticmusic"
  spec.version       = Elasticmusic::VERSION
  spec.authors       = ["Juan Puelpan"]
  spec.email         = ["jpuelpan528@gmail.com"]
  spec.summary       = %q{ElasticSearch Music}
  spec.description   = %q{An experimental application for indexing your music library in ElasticSearch}
  spec.homepage      = "https://github.com/Jpuelpan/elasticmusic"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler'        , '~> 1.6'
  spec.add_development_dependency 'rake'           , '~> 10.4'
	
  spec.add_dependency 'elasticsearch-persistence' , '~> 0.1.6'
  spec.add_dependency 'taglib-ruby'               , '~> 0.7.0'
end